### 模儿bot

模儿bot是一个提供与mirai-api-http交互的webhook服务器，并提供一些小工具的bot。

#### 功能
1. webhook服务器
    > http请求方式, method="post", enctype="application/json", path=/

    请求示例
    ```
    {
        "event": "sendForwardMessage",
        "subs": {
            "groups": [],
            "users": []
        },
        "from": "新闻",
        "messages": [
            {
                "message": "PlayStation Plus二档会员十二月阵容：给他爱5、FF起源等",
                "imgUrls": [
                    "http://img2.a9vg.com/i/a9-article-list_x256/cms3.0/2023/1214/20231214104321-2309-33362.jpg"
                ],
                "originUrl": "http://www.a9vg.com/article/215182"
            }
        ],
        "body": "Hello World",
    }
    ```

    请求参数说明
    发送转发消息请求
    |参数|类型|说明|是否必填|可选项|
    |--|--|--|--|--|
    |event|string|发送消息的类型|是|`sendForwardMessage`|
    |subs|object|指定接收消息的群或者人|是|--|
    |from|string|转发消息时，指定发送人的名称|否|--|
    |messages|message[]|转发的消息列表|是|--|

    发送一般消息请求
    |参数|类型|说明|是否必填|可选项|
    |--|--|--|--|--|
    |event|string|发送消息的类型|是|`sendMessage2`|
    |subs|object|指定接收消息的群或者人|是|--|
    |from|string|转发消息时，指定发送人的名称|否|--|
    |messages|string[]|转发的消息列表|是|--|
    |imgUrls|string[]|图片地址|否|--|
    |originUrl|string|源地址|否|--|
    |at|number|需要at的qq号|否|--|



2. 聊天指令
    1. 厨娘
        - 随机菜肴推荐 （#模儿晚上吃什么）

#### 安装运行
1. 直接运行
```shell
npm i -g node@18.17.0

npm i

touch .env

# 修改 .env 文件
vim .env

node app.js
```
2. docker 运行（开发中）

#### 环境配置
```
MIRAI_HTTP_API_HOST=<mirai-api-http地址>
MIRAI_HTTP_API_VERIFY_KEY=<mirai-api-http密钥>
WEB_HOOK_PORT=<webhook服务器端口>
QQ=<机器人qq号>
DEFAULT_SUB_GROUPS=<默认订阅群（暂时无用）>
DEFAULT_SUB_USERS=<默认订阅人 (暂时无用)>
IMG_NUMBER_IN_ONE_MESSAGE=<单个消息允许的配图数量>
COOK_SUB_GROUPS=<订阅厨娘的群>
MASTER=<管理员qq号>
```

#### 友链
 - [mirai-js](https://drincann.github.io/Mirai-js/#/v2.x/Bot?id=on)
 - [今天我们来做菜](https://github.com/YunYouJun/cook)
